NXOpen.UF.Curve.CreateLinePointPrincipalAxis

Curve.CreateLinePointPrincipalAxis()

Refer to UF_CURVE_create_line_point_principal_axis for documentation.

Signature: CreateLinePointPrincipalAxis(point, principalAxis, limitP, supportPlane, isAsso)

Parameters:
  • point (Tag) – tag of start point
  • principalAxis (NXOpen.UF.Curve.PrincipalAxis Refer to UF_CURVE_principal_axis_e for documentation.) – one of the 3 principal axes : UF_CURVE_X_AXIS, UF_CURVE_Y_AXIS, UF_CURVE_Z_AXIS
  • limitP (list of NXOpen.UF.Curve.Limit Refer to UF_CURVE_limit_s for documentation.) – extension limits
  • supportPlane (Tag) – tag of support plane of the line
  • isAsso (bool) – true - if associative, false - if not associative
Returns:

if is_asso == TRUE - object identifier of new associative line feature if is_asso == FALSE - object identifier of new associative line

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING